pixel = {}
pixel.__index = pixel

function pixel.new(x, y, size)
	local new = {x, y, size, {255, 255, 255}}
	return new
end

function pixel.color(self, r, g, b)
	if r and g and b then
		self[4][1], self[4][2], self[4][3] = r, g, b
	else
		return self[4][1], self[4][2], self[4][3]
	end
end
	
function pixel.draw(self)
	love.graphics.setColor(pixel.color(self))
	love.graphics.polygon("fill", self[1], self[2], self[1], self[2] + self[3], self[1] + self[3], self[2] + self[3], self[1] + self[3], self[2])
end

pixel.board = {}
local pb = pixel.board
local pixels = {}
pb.size = 0
function pb.load(size)
	local x = 0
	local y = 0
	local maxx = love.window.getWidth()
	local maxy = love.window.getHeight()
	while y < maxx do
		while x < maxx do
			table.insert(pixels, pixel.new(x, y, size))
			x = x + size
			pb.size = pb.size + 1
		end
		x = 0
		y = y + size
	end
end

function pb.set(self)
	for i = 1, #self do
		pixel.color(pixels[i], self[i][1], self[i][2], self[i][3])
	end
end

function pb.draw()
	for i = 1, pb.size do
		pixel.draw(pixels[i])
	end
end

